Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class RawStaticIdentifier

    java.lang.Object
      rdlc.util.Pair<FileRange,TaggedData<java.util.List<java.lang.String>>>
          rdlc.rdl.RawStaticIdentifier

    public class RawStaticIdentifier

extends Pair<FileRange,TaggedData<java.util.List<java.lang.String>>>

This class is nothing more than a named type abbreviation for the raw data returned by the parser.

Version:
  $Revision: 1.9 $
Author:
  Greg Gibeling

Field Summary

Fields inherited from class rdlc.util.Pair
`a, b`

Constructor Summary
`RawStaticIdentifier(FileRange _fileRange, TaggedData<java.util.List<java.lang.String>> _taggedData)` Simple constructor, records the fields it is given.
`RawStaticIdentifier(java.lang.String name)` Used to construct a fake identifier for those declarations which were not given names in an RDL file (back end declarations).

Method Summary

Methods inherited from class rdlc.util.Pair
`hashCode, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RawStaticIdentifier

    public RawStaticIdentifier(FileRange _fileRange,
                               TaggedData<java.util.List<java.lang.String>> _taggedData)

  Simple constructor, records the fields it is given.

  Parameters:
    `_fileRange` - The file range where this identifier was found.
    `_taggedData` - The actual identifier, where the tag is a parent count.

### RawStaticIdentifier

    public RawStaticIdentifier(java.lang.String name)

  Used to construct a fake identifier for those declarations which were not given names in an RDL file (back end declarations). This will record no file range of course.

  Parameters:
    `name` - The name to store.
  See Also:
    `Declaration_Named.Declaration_Named(String, Namespace)`, `DynRoot_Standard.DynRoot_Standard(String, Namespace)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD